package com.vendor.burn.utilitily;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.views.CmdMain;
import java.io.File;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;

public class JarUtility {
  private static final String FILE = "file:";
  
  public static File getMainFile() {
    String path = CmdMain.class.getProtectionDomain().getCodeSource().getLocation().getFile();
    try {
      path = URLDecoder.decode(path, "UTF-8");
    } catch (UnsupportedEncodingException e) {
      return null;
    } 
    String osName = System.getProperties().getProperty("os.name");
    if (osName.toLowerCase().startsWith("windows")) {
      if (path.indexOf("file:") != -1) {
        path = path.substring(path.indexOf("file:") + "file:".length() + 1);
      } else {
        path = path.substring(1);
      } 
    } else if (path.indexOf("file:") != -1) {
      path = path.substring(path.indexOf("file:") + "file:".length());
    } 
    return new File(path);
  }
  
  public static String getJarDir() {
    File file = getMainFile();
    if (file == null)
      return null; 
    try {
      return file.getParentFile().getCanonicalPath();
    } catch (IOException e) {
      return "";
    } 
  }
  
  public static String getJarName() {
    File file = getMainFile();
    if (file == null)
      return null; 
    return file.getName();
  }
}
